Subject: Re: [PATCH] Documentation/gpu/meson: Remove link to meson_canvas.c

From: Sean Paul <[email-masked]>
Date: Fri, 5 Apr 2019 08:57:23 -0400

On Fri, Apr 05, 2019 at 02:14:35PM +0200, Neil Armstrong wrote:
> On 04/04/2019 16:31, Sean Paul wrote:
> > On Thu, Apr 04, 2019 at 10:28:29AM +0200, Neil Armstrong wrote:
> >> On 04/04/2019 08:56, Neil Armstrong wrote:
> >>> On 03/04/2019 22:56, Sean Paul wrote:
> >>>> From: Sean Paul <[email-masked]>
> >>>>
> >>>> The file was removed in the below patch and is causing this error:
> >>>> WARNING: kernel-doc '../scripts/kernel-doc -rst -enable-lineno -function Canvas ../drivers/gpu/drm/meson/meson_canvas.c' failed with return code
> >>>>
> >>>> Fixes: 2bf6b5b0e374 ("drm/meson: exclusively use the canvas provider module")
> >>>> Cc: Maxime Jourdan <[email-masked]>
> >>>> Cc: Neil Armstrong <[email-masked]>
> >>>> Cc: Kevin Hilman <[email-masked]>
> >>>> Cc: [email-masked]
> >>>> Cc: [email-masked]
> >>>> Cc: [email-masked]
> >>>> Signed-off-by: Sean Paul <[email-masked]>
> >>>> ---
> >>>>  Documentation/gpu/meson.rst | 6 ------
> >>>>  1 file changed, 6 deletions(-)
> >>>>
> >>>> diff --git a/Documentation/gpu/meson.rst b/Documentation/gpu/meson.rst
> >>>> index 479f6f51a13b..b9e2f9aa3bd8 100644
> >>>> --- a/Documentation/gpu/meson.rst
> >>>> +++ b/Documentation/gpu/meson.rst
> >>>> @@ -42,12 +42,6 @@ Video Encoder
> >>>>  .. kernel-doc:: drivers/gpu/drm/meson/meson_venc.c
> >>>>     :doc: Video Encoder
> >>>>  
> >>>> -Video Canvas Management
> >>>> -=======================
> >>>> -
> >>>> -.. kernel-doc:: drivers/gpu/drm/meson/meson_canvas.c
> >>>> -   :doc: Canvas
> >>>> -
> >>>>  Video Clocks
> >>>>  ============
> >>>>  
> >>>>
> >>>
> >>> Acked-by: Neil Armstrong <[email-masked]>
> >>>
> >>
> >> Applied to drm-misc-fixes
> > 
> > Hmm, the commit referenced in the Fixes line hasn't landed in -fixes yet, it's
> > in -next. So the fix has landed before the bug :(
> 
> Seems I'll still need to apply it to -next !

I've just applied it, thanks for staying on top of this.

Sean

> 
> Neil
> 
> > 
> > I'll ping mripard on irc and see what he wants to do about this.
> > 
> > Sean
> > 
> >>
> >> Neil
> > 
> 

-- 
Sean Paul, Software Engineer, Google / Chromium OS

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel